<%@ Page Trace="true" debug="true" %>
<%@ Register TagPrefix="INCLUDE" TagName="TOP" src="top.ascx" %>
<%@ Register TagPrefix="INCLUDE" TagName="BOTTOM" src="bottom.ascx" %>
<%@ Register TagPrefix="BOARD" TagName="TOP" src="board_top.ascx" %>

<%@ Import Namespace = "Study" %>
<%@ Import Namespace = "System.Data" %>

<script language="C#" runat="server">
string CATEGORY_ID;

int TOTAL_COUNT = 0;
int NOW_PAGE = 1;
int PAGE_COUNT = 0;


// ˻ú
string STYPE, SVALUE;
// ˻?
bool IsSearch = false;

//  ϱ 
Board BOARD_LIB;

	void Page_Load()
	{
		BOARD_LIB = new Board();

		CATEGORY_ID = Request["c"];



		STYPE = Request["stype"];
		SVALUE = Request["svalue"];

		// --[˻߰]-- ˻ ִ üũ
		if (!String.IsNullOrEmpty(STYPE) && !String.IsNullOrEmpty(SVALUE))
			IsSearch = true;
		// --------------


		DataTable dtList = null;

		
		if (!String.IsNullOrEmpty(Request["page"]))
			NOW_PAGE = Int32.Parse(Request["page"]);

		
		if (IsSearch)
		{
			// ˻  ȣ
			btnCancel.Visible = true;
			
			if (!IsPostBack)
			{
				lstType.SelectedValue = STYPE;
				txtSearch.Text = SVALUE;
			}
		}




		// -------- Խ Ʈ  12
		if (CATEGORY_ID.ToLower().Equals("photo"))
			BOARD_LIB.PAGE_SIZE = 12;


	
		// Ʈ 
		dtList = BOARD_LIB.List(CATEGORY_ID, NOW_PAGE, STYPE, SVALUE);

		//     
		TOTAL_COUNT = BOARD_LIB.ListCount(CATEGORY_ID, STYPE, SVALUE);


		if (TOTAL_COUNT != 0)
		{
			//   
			PAGE_COUNT = TOTAL_COUNT / BOARD_LIB.PAGE_SIZE;

			//  ִٸ   ʿ
			if (TOTAL_COUNT % BOARD_LIB.PAGE_SIZE != 0)
				PAGE_COUNT++;
		}

		//  ,   ־ֱ
		lblPage.Text = String.Format("[ {0} ]   (<b>{1}</b> / {2} Page)",
									TOTAL_COUNT, NOW_PAGE, PAGE_COUNT);
				


		//  ̵
		lblPageMove1.Text = BOARD_LIB.PageGen1(						
						
						NOW_PAGE, 
						PAGE_COUNT, 
						"page", 
						String.Format("c={0}&stype={1}&svalue={2}", CATEGORY_ID, STYPE, SVALUE)
						
						);

		//  ̵
		if (TOTAL_COUNT != 0)
		{
			lblPageMove2.Text = BOARD_LIB.PageGen2(NOW_PAGE, 
										PAGE_COUNT, 
										"board_list.aspx", 
										String.Format("c={0}&stype={1}&svalue={2}", CATEGORY_ID, STYPE, SVALUE), 
										"page", 
										10);
		}
		else
		{
			lblPageMove2.Text = "()";
		}



		// 1: ϹݰԽ, 2: Խ, 3:
		// -------- Խ Ʈ ٸ Ʈ..
		if (CATEGORY_ID.ToLower().Equals("photo"))
		{
			phBoard1.Visible = false;
			phBoard3.Visible = false;
			rptList2.DataSource = dtList;
			rptList2.DataBind();

		}

		// -----  ߰
		else if (CATEGORY_ID.ToLower().Equals("guestbook"))
		{
			phBoard1.Visible = false;
			phBoard2.Visible = false;

			// <form> ֱ
			frm.Visible = false;

			rptList3.DataSource = dtList;
			rptList3.DataBind();
			

		}

		//   ϹݰԽ
		else
		{
			phBoard2.Visible = false;
			phBoard3.Visible = false;
			rptList.DataSource = dtList;
			rptList.DataBind();

		}

		// --------------------------------------------Խ Ʈ  


	} // Page_Load()  

	



	string ToCustomTime(object datetime)
	{
		if (datetime != null)
		{
			// DateTime  ȯ
			DateTime d = (DateTime)datetime;
			
			// DateTime.Subtract(DateTime ð)
			// ð ۼڸ ༭ TimeSpan  
			TimeSpan ts = DateTime.Now.Subtract(d);

			// ð Ϸ簡  ʾҴٸ(ð)
			if (ts.Days == 0)
			{
				// Ϸ̳ 1ð ̳(д)
				if (ts.Hours == 0)
					return String.Format("{0} ", ts.Minutes);
				else
					return String.Format("{0}ð ", ts.Hours);
				
			}
			// Ϸ ׳ ¥ 
			else
				return ((DateTime)datetime).ToString("yyyy-MM-dd");

		}
		// null ̸ 
		else
		{
			return "(Error)";
		}
	}


	// Repeater ̺Ʈ
	void rptList_Bound(object sender, RepeaterItemEventArgs e)
	{
		// ۹ȣ ü     ϸ 	
		int VIRTUAL_NUM = TOTAL_COUNT - e.Item.ItemIndex - ((NOW_PAGE-1) * BOARD_LIB.PAGE_SIZE) ;
		((Label)e.Item.FindControl("lblNum")).Text = VIRTUAL_NUM.ToString();
	}


	// Խ Repeater ̺Ʈ
	void rptList2_Bound(object sender, RepeaterItemEventArgs e)
	{
		// e.Item.ItemIndex  0  
		// 4   0̸ '</tr><tr>' ־
		if ((e.Item.ItemIndex+1) % 4 == 0 && (e.Item.ItemIndex+1) != BOARD_LIB.PAGE_SIZE)
		{
			((Literal)e.Item.FindControl("liSeparate")).Text = "</tr><tr align='center'>";
		}


	}



	// ˻ư
	void btnSearch_Click(object sender, EventArgs e)
	{
		bool IsChecked = true;
		
		// ˻ ԷµǾ üũϴ  
		//  ߸Ǿٸ IsChecked  false  
		if (IsChecked)
		{
			Response.Redirect(
				
				String.Format("board_list.aspx?c={0}&stype={1}&svalue={2}", 
								CATEGORY_ID, 
								lstType.SelectedValue, 
								txtSearch.Text.Trim()
							)
				);
		}
		// 
		else
		{
			// 
		}

		
	}


	// ˻ҹư
	void btnCancel_Click(object sender, EventArgs e)
	{
		Response.Redirect("board_list.aspx?c=" + CATEGORY_ID);
	}

	
	string CheckSearch(string src)
	{
		// ˻̰, ˻   
		if (IsSearch && STYPE.Equals("title"))
		{
			// ٲ㼭 
			return src.Replace(SVALUE, "<b>" + SVALUE + "</b>");
		}
		// ƴ϶ ׳  
		else
			return src;
	}


	//  ۾
	void btnWrite_Click(object sender, EventArgs e)
	{
		string name = txtName.Text.Trim();
		string content = txtContent.Text.Trim();
		

		//  üũ
		if (name.Equals("") || content.Equals(""))
		{
			lblError.Text = "̸̳   ĭ   ϴ.";
		}
		// 
		else
		{
			//  
			BOARD_LIB.Write(CATEGORY_ID, "", name, "", content, "");

			// Ʈ  
			Response.Redirect("board_list.aspx?c=" + CATEGORY_ID);
		}

	}

	



</script>


<INCLUDE:TOP
	runat="server" />
<BOARD:TOP
	runat="server" />



<!--------------------------- ⼭  ------>
<div id="content">


<br><br>

<center>

<h2>ԽǸƮ</h2>
<hr width="650" color="green">





<table width="600">


<tr>
	<td colspan="6" align="right">
		<ASP:Label id="lblPage" runat="server"
			text="[123]   (1 / 999 Page)" />
	</td>
</tr>


<ASP:PlaceHolder id="phBoard1" runat="server">


<tr align="center" bgcolor="#abcdef">
	<td width="30">123</td>

	<td></td>

	<td width="80">ۼ</td>

	<td width="80">ۼϽ</td>

	<td width="35">ȸ</td>

	<td width="35">õ</td>
	
</tr>

<ASP:Repeater id="rptList" runat="server" OnItemDataBound="rptList_Bound">
<ItemTemplate>

<tr align="center">
	<td width="30"><ASP:Label id="lblNum" runat="server" /></td>

	<td align="left">
		<a href="board_view.aspx?c=<%# CATEGORY_ID %>&page=<%# NOW_PAGE %>&n=<%# Eval("board_id") %>&stype=<%# STYPE %>&svalue=<%# SVALUE %>">
			<%# CheckSearch((string)Eval("title")) %>
		</a>
	</td>

	<td width="80"><%# Eval("user_name") %></td>

	<td width="80"><%# ToCustomTime(Eval("regdate")) %></td>

	<td width="35"><%# Eval("readnum") %></td>

	<td width="35"><%# Eval("recommend") %></td>
</tr>

</ItemTemplate>
</ASP:Repeater>


</ASP:PlaceHolder>



<ASP:PlaceHolder id="phBoard2" runat="server">

<tr>
	<td colspan="6">


		<table width="600">
			
			<tr align="center">

			<ASP:Repeater id="rptList2" runat="server" OnItemDataBound="rptList2_Bound">
			<ItemTemplate>
						

				<td width="120">
		
					<a href="board_view.aspx?c=<%# CATEGORY_ID %>&page=<%# NOW_PAGE %>&n=<%# Eval("board_id") %>&stype=<%# STYPE %>&svalue=<%# SVALUE %>">
						<img src="upload/small_<%# Eval("file_attach") %>" width="80">
						<br>
						<%# Eval("title") %>						
					</a>
				
				</td>

				<ASP:Literal id="liSeparate" runat="server" />

			</ItemTemplate>
			</ASP:Repeater>


			</tr>


		</table>
				
	</td>
</tr>

</ASP:PlaceHolder> <!-- Խ Ʈ  -->



<!--  뵵 Ʈ -->
<ASP:PlaceHolder id="phBoard3" runat="server">

<tr>
	<td colspan="6">

			<form runat="server">

				<font color="blue" style="border:1 solid slategray; padding:5px; display:block; background:#efc">
					е  ϳϳ Ȩ 忡 ū  ˴ϴ Ф
				</font>

				<br>

				湮 ̸  
				<ASP:TextBox id="txtName" runat="server" />

			
				<br>

				<br>


				<ASP:TextBox id="txtContent" textmode="multiline" width="600" height="100" runat="server" />
				
				<center>
					<ASP:Button id="btnWrite" runat="server" text=" " OnClick="btnWrite_Click" />
				</center>


			</form>


			<ASP:Label id="lblError" forecolor="red" runat="server" />


			<br><br><br>
			

			<ASP:Repeater id="rptList3" runat="server">
			<ItemTemplate>
									
			<div style="border:1 solid; padding:10px; background:#efe; margin-top:20px; line-height:20px;">
				<b style="color:#000077">
					[<%# Eval("user_name") %>] 
					<%# ToCustomTime(Eval("regdate")) %> ۼϽ </b>
				<hr>

				<%# Eval("content") %>
				
			</div>

			</ItemTemplate>
			</ASP:Repeater>




	</td>

</tr>
</ASP:PlaceHolder>




</table>






<br>

<table width="600">
<tr bgcolor="#eeeeee">
	<td width="50%">
		<ASP:Label id="lblPageMove1" runat="server"> / </ASP:Label>
	</td>

	<td width="50%" align="right">
		<ASP:Label id="lblPageMove2" runat="server">[10] <b>1</b> 2 3 4 5 6 7 8 9 10 [10]</ASP:Label>
	</td>
</tr>
</table>











<br><br>



<center>

<form id="frm" runat="server">
	

<ASP:DropDownList id="lstType" runat="server">
	<ASP:ListItem value="title" text="" />
	<ASP:ListItem value="title" text="" />
</ASP:DropDownList>

<ASP:TextBox id="txtSearch" runat="server" />
<ASP:Button id="btnSearch" text="˻" runat="server" onclick="btnSearch_Click" />
<ASP:Button id="btnCancel" text="˻" visible="false" runat="server" onclick="btnCancel_Click" />

</form>

</center>


<br><br>

<a href="board_write.aspx?c=<%= CATEGORY_ID %>">۾</a>



</center>


</div>
<!-- 볡 ---------------------------------------->



<INCLUDE:BOTTOM
	runat="server" />

