<%@ Register TagPrefix="INCLUDE" TagName="TOP" src="top.ascx" %>
<%@ Register TagPrefix="INCLUDE" TagName="BOTTOM" src="bottom.ascx" %>
<%@ Register TagPrefix="BOARD" TagName="TOP" src="board_top.ascx" %>

<%@ Import Namespace = "Study" %>
<%@ Import Namespace = "System.Data" %>

<script language="C#" runat="server">
string CATEGORY_ID;
int BOARD_ID;

int NOW_PAGE;


	void Page_Load()
	{

		if (String.IsNullOrEmpty(Request["page"]))
		{
			//  . ȣ Ѿ ʾ
			// ó 
		}
		else
		{
			NOW_PAGE = Int32.Parse(Request["page"]);
		}


		// -------- α üũ
		// α ȵǾ ⿵ ֱ
		if (Session["login_id"] == null)
			tblCommentWrite.Visible = false;
		// α Ǿ ۼ Label  ֱ
		else
			lblWriter.Text = (string)Session["login_nick"];



		CATEGORY_ID = Request["c"];
		// Խù ȣ int 
		BOARD_ID = Int32.Parse(Request["n"]);
		
		// ̺귯 νϽ ȭ
		Board BOARD_LIB = new Board();

		// Խù 
		DataTable dtView = BOARD_LIB.Read(CATEGORY_ID, BOARD_ID);

		// ܼȭ Ű  ù°  DataRow  ־(Ѿ ڷᵵ 1 ̴)
		DataRow row = dtView.Rows[0];


		// ------------ ⼭ lblXXXX Ʈѿ  ־ֱ (Text Ӽ)
		// ߿: row[".."]  object 

		lblTitle.Text = (string)row["title"];
		lblName.Text = String.Format("{0} ({1})", row["user_name"], row["regdate"]);
		lblRead.Text = row["readnum"].ToString();
		lblRecommend.Text = row["recommend"].ToString();
		lblContent.Text = (string)row["content"];

		// ÷  Ƿ ǹ if() ..

		// ε  
		if ((string)row["file_attach"] != "")
			lblFile.Text = String.Format("<a href='upload/{0}'>{1}</a>", row["file_attach"], row["file_attach"]);
		// 
		else
			lblFile.Text = "";

		// ------------ Խù 



		// ó  . 
		if (!IsPostBack)
		{
			CommentList();
			BOARD_LIB.ReadUp(CATEGORY_ID, BOARD_ID);

			
			// , Ȱȭ üũ
			if (!String.IsNullOrEmpty((string)Session["login_id"]))
			{
				if ((string)Session["login_id"] == (string)row["user_id"])
				{
					trModifyDelete.Visible = true;
				}
			}
		}



	}


	// ۾ư
	void btnCommentWrite_Click(object source, EventArgs e)
	{
		string MESSAGE = "";
		string comment = txtComment.Text.Trim();


		// ۳ ?
		if (comment.Length == 0)
		{
			// 
			MESSAGE = "[!] <font color=red>  Էּ.</font>";
		}
		else
		{
			// 
			Board BOARD_LIB = new Board();
			BOARD_LIB.CommentWrite(BOARD_ID, (string)Session["login_id"], (string)Session["login_nick"], comment);

			MESSAGE = "[!] <font color=blue> ϵǾϴ.</font>";

			// °(ViewState)   Է  ְ ǹǷ 
			txtComment.Text = "";

			// ư  Page_Load()   ѷ Ƿ ⼭ ѷ
			CommentList();
									
		}

		// ޽ 
		tblCommentWrite.Rows[0].Cells[1].Controls.Add(new LiteralControl(MESSAGE));
	}

	void CommentList()
	{
		Board BOARD_LIB = new Board();

		// ------------ ۸Ʈ 
		// ó  DataTable    ʾƵ ȴ.
		rptComment.DataSource = BOARD_LIB.CommentList(BOARD_ID);
		rptComment.DataBind();

		//   (BOARD_LIB.CommentList ޼尡  DataTable  Rows.Count)
		// =>   ʾǷ ó ȯ  .
		// ((DataTable)rptComment.DataSource).Rows.Count
		// Label (<span>) ±׿ style Ӽ  color:blue  .
		lblCommentCount.Attributes.Add("style", "color:blue");
		lblCommentCount.Text = "<b> " + ((DataTable)rptComment.DataSource).Rows.Count + "   ֽϴ.</b>";

	}


	// õư
	void btnRecommend_Click(object sender, EventArgs e)
	{
		Board BOARD_LIB = new Board();
		BOARD_LIB.Recommend(CATEGORY_ID, BOARD_ID);

		btnRecommend.Enabled = false;
		btnRecommend.Text = "̹ õϿϴ.";


		// ߺõ .
	}


	// ư
	void btnModify_Click(object sender, EventArgs e)
	{
		Response.Redirect(String.Format("board_write.aspx?c={0}&n={1}&page={2}&stype={3}&svalue={4}", 
											CATEGORY_ID, BOARD_ID, NOW_PAGE, Request["stype"], Request["svalue"]));
	}

	// ư
	void btnDelete_Click(object sender, EventArgs e)
	{
		Board BOARD_LIB = new Board();
		BOARD_LIB.Remove(CATEGORY_ID, BOARD_ID);
		
		Response.Redirect(String.Format("board_list.aspx?c={0}", CATEGORY_ID));

	}




</script>




<INCLUDE:TOP
	runat="server" />

<BOARD:TOP
	runat="server" />





<!--------------------------- ⼭  ------>
<div id="content">

<form runat="server">


<br><br>
<center>

<b><ASP:Label id="lblTitle" runat="server" /></b>

<br><br>


<!--------------- Խù -------------------->
<table width="600">

	<tr bgcolor="#abcdef">
		<td width="400">
			ۼ : <ASP:Label id="lblName" runat="server" />
		</td>
		<td width="100">
			ȸ <ASP:Label id="lblRead" runat="server" />
		</td>
		<td width="100">
			õ <ASP:Label id="lblRecommend" runat="server" />
		</td>
	</tr>

	<tr>
		<td colspan="3">

			<br>
				
				<ASP:Label id="lblContent" runat="server" />

			<br><br>

			<center>
				<ASP:Button id="btnRecommend" text="õϱ" onclick="btnRecommend_Click" runat="server" />
			</center>

		</td>
	</tr>

	<tr id="trModifyDelete" visible="false" runat="server">
		<td colspan="3" align="right">			
			<ASP:Button id="btnModify" text="ϱ" onclick="btnModify_Click" runat="server" />
			<ASP:Button id="btnDelete" text="ϱ" onclick="btnDelete_Click" runat="server" />
		</td>
	</tr>

	


	<tr bgcolor="#aabbcc">
		<td colspan="3">
			÷ : <ASP:Label id="lblFile" runat="server" />
		</td>
	</tr>

</table>



<!--------------- ۾ -------------------->
<table width="600" id="tblCommentWrite" runat="server">
	<tr>
		<td width="150">
			<ASP:Label id="lblWriter" runat="server" />
		</td>
		<td width="450">
			<ASP:TextBox id="txtComment" textmode="multiline" width="450" height="80" runat="server" />
			<ASP:Button
				id="btnCommentWrite"
				text="۾"
				onclick="btnCommentWrite_Click"
				runat="server" />			
			
		</td>
	</tr>

</table>


<!--------------- ۸ -------------------->
<table width="600">

	<tr>
		<td colspan="2" align="center">
			<ASP:Label id="lblCommentCount" runat="server" />
		</td>
	</tr>


	<ASP:Repeater id="rptComment" runat="server">

	<ItemTemplate>

	<tr height="80">
		<td width="150" bgcolor="#eeeeee">
			<%# Eval("user_name") %>
			<br>
			<font size="1"><%# Eval("regdate") %></font>

		</td>

		<td width="450">			
			<%# Eval("content") %>
		</td>
	</tr>


	</ItemTemplate>


	</ASP:Repeater>

</table>


<br><br>

<a href="board_list.aspx?c=<%= CATEGORY_ID %>&page=<%= NOW_PAGE %>&stype=<%= Request["stype"] %>&svalue=<%= Request["svalue"] %>">Ʈ</a>


</center>


</form>


</div>
<!-- 볡 ---------------------------------------->



<INCLUDE:BOTTOM
	runat="server" />
