using System;
using System.Web;
using System.Data;

// Database ̺귯 ̿ϱ  
using Study;

namespace Study
{

	public class Board
	{
		Database DB;
		
		public int PAGE_SIZE = 10;
		
				

		public Board()
		{
			DB = new Database();
		}


		// Խ ۾
		public void Write(	string category, string user_id, string user_name, 
							string title, string content, string upload_file)
		{
			string query = String.Format("INSERT INTO board (category, user_id, user_name, title, content, file_attach) VALUES('{0}', '{1}', '{2}', '{3}', '{4}', '{5}')",  
											category, user_id, user_name, title, content, upload_file);
			
			DB.ExecuteQuery(query);

		}

		// Խ 
		public DataTable List(string category)
		{
			 return DB.ExecuteQueryDataTable("SELECT * FROM board WHERE category='" + category + "' ORDER BY board_id DESC");
		}

		// Խ  (˻)
		public DataTable List(string category, string search_target, string search_word)
		{
			 return DB.ExecuteQueryDataTable(
				"SELECT * FROM board WHERE category='" + category + "' AND " + search_target + " LIKE '%" + search_word + "%' ORDER BY board_id DESC"
			 );
		}

		// Խ  (˻ ׽Ʈ)
		public void ListTest(string category, string search_target, string search_word)
		{
			 HttpContext.Current.Response.Write("SELECT * FROM board WHERE category='" + category + "' AND " + search_target + " LIKE '%" + search_word + "%' ORDER BY board_id DESC");
			 HttpContext.Current.Response.End();
		}

		// Խ  (¡, ˻)
		public DataTable List(string category, int now_page, string search_target, string search_word)
		{
			// now_page = 3;
			int start_id, end_id;

			start_id = (now_page-1) * PAGE_SIZE; // (3-1)*10 = 20
			end_id = (now_page * PAGE_SIZE) + 1; // (3*10)+1 = 31

			
			System.Text.StringBuilder query = new System.Text.StringBuilder();
			query.Append("SELECT * FROM");
			query.Append(" ( ");
			query.Append("SELECT ROW_NUMBER() OVER(ORDER BY board_id DESC) AS row_num, * FROM board tmp");
			query.Append(" WHERE category='" + category + "' ");

				if (!String.IsNullOrEmpty(search_target) && !String.IsNullOrEmpty(search_word))
					query.Append(" AND " + search_target + " LIKE '%" + search_word + "%' ");

			query.Append(" ) ");
			query.Append(" AS BOARD_NUMBERED ");
			query.Append(String.Format(" WHERE row_num > {0} AND row_num < {1} ", start_id, end_id));

			return DB.ExecuteQueryDataTable(query.ToString());

		}

		// Խ   
		public int ListCount(string category, string search_target, string search_word)
		{
			string query = "SELECT COUNT(*) FROM board WHERE category='" + category + "' ";
			
			// ˻ 
			if (!String.IsNullOrEmpty(search_target) && !String.IsNullOrEmpty(search_word))
				query += " AND " + search_target + " LIKE '%" + search_word + "%' ";
			
			return (int)DB.ExecuteQueryResult(query);

		}


		// Խ ȸ
		public DataTable Read(string category, int number)
		{
			string query = String.Format("SELECT * FROM board WHERE category='{0}' AND board_id={1}", category, number);
			return DB.ExecuteQueryDataTable(query);			
						
		}

		// ۾
		public void CommentWrite(int board_id, string user_id, string user_name, string content)
		{
			string query = String.Format("INSERT INTO board_comment(board_id, user_id, user_name, content) VALUES({0}, '{1}', '{2}', '{3}')",
								board_id, user_id, user_name, content);

			DB.ExecuteQuery(query);
		}

		// ۸Ʈ
		public DataTable CommentList(int board_id)
		{
			string query = "SELECT * FROM board_comment WHERE board_id=" + board_id + " ORDER BY comment_id";
			return DB.ExecuteQueryDataTable(query);			
		}


		// Խ ȸ
		public void ReadUp(string category, int number)
		{
			string query = String.Format("UPDATE board SET readnum=readnum+1 WHERE category='{0}' AND board_id={1}", category, number);
			DB.ExecuteQuery(query);			
		}

		// Խ õ
		public void Recommend(string category, int number)
		{
			string query = String.Format("UPDATE board SET recommend=recommend+1 WHERE category='{0}' AND board_id={1}", category, number);
			DB.ExecuteQuery(query);			
		}

		// Խ ۼ
		public void Modify(int number, string title, string content, string upload_file)
		{
			string query = String.Format("UPDATE board SET title='{0}', content='{1}', file_attach='{2}' WHERE board_id={3}", 
										title, content, upload_file, number);
			DB.ExecuteQuery(query);
		}

		// Խ  
		public void Remove(string category, int number)
		{
			// 1. ۻ
			string query = String.Format("DELETE FROM board_comment WHERE board_id={0}", number);
			DB.ExecuteQuery(query);

			// 2. ۻ
			query = String.Format("DELETE FROM board WHERE category='{0}' AND board_id={1}", category, number);
			DB.ExecuteQuery(query);

		}


		// / 
		// μ		1:  ȣ
		//			2: ü 
		//			3: ּҿ ٿ ѱ ( ) GET 
		//			4: Ÿ ٿ ѱ 
		public string PageGen1(int now_page, int total_page, string page_val_str, string args)
		{
			// ڿ  ̾.
			string page_str = "";

			// 
			if (!now_page.Equals(1))
			{
				// 1 ƴϸ  ̵
				page_str += String.Format("<a href='{0}?{1}={2}&{3}'> </a>",
					HttpContext.Current.Request.ServerVariables["SCRIPT_NAME"],
					page_val_str,
					now_page-1,			//   -1
					args					
				);
			}
			else
				// ̵Ұ : ũ .
				page_str += "";

			// ڴ  ־ְ
			page_str += " | ";

			// 
			if (!now_page.Equals(total_page))
			{
				//   ƴϸ  ̵
				page_str += String.Format("<a href='{0}?{1}={2}&{3}'> </a>",
					HttpContext.Current.Request.ServerVariables["SCRIPT_NAME"],
					page_val_str,
					now_page+1,			//   +1
					args					
				);				
			}
			else
				// ̵Ұ : ũ .
				page_str += "";


			return page_str;

		}


		public string PageGen2(int page, int totalpage, string strFileName, string strLinkString, string strLinkName, int blockcount)
		{
			//  ڿ
			string tmp = "";

			string LINK_STR = strFileName + "?" + strLinkString + "&" + strLinkName + "=#PG#";
			

			//    ü ϰ 
			int TOTAL_BLOCK = totalpage / blockcount;
			if (totalpage % blockcount != 0)
				TOTAL_BLOCK++;

			//   ȣ  ġ  
			int NOW_BLOCK = page / blockcount;
			if (page % blockcount != 0)
				NOW_BLOCK++;


			// ù  ̵ũ
			if (page != 1)
				tmp += String.Format("<a href='{0}'>[1]</a> .. ", LINK_STR.Replace("#PG#", "1"));

			
			// ù  [n]  ũ 
			if (NOW_BLOCK == 1)
				tmp += String.Format("[ {0}] .. ", blockcount);

			// ι°  [n] ũ
			// :    ĭ    ְ +1  ָ  ù  

			else
				tmp += String.Format("<a href='{0}'>[ {1}]</a> .. ", 
						LINK_STR.Replace("#PG#", ((NOW_BLOCK-2)*blockcount+1).ToString()  ), 
						blockcount);

				// ߰ ¡
				// 1  .
				// i    ġ ָ ´ ڰ µ
				for (int i=1; i <= blockcount; i++)
				{
					int START_NUMBER = (NOW_BLOCK-1)*blockcount;



						// ڰ   ׳ ũ  ϰ ǥ
						if (START_NUMBER + i == page)
						{
							tmp += String.Format(" <font color='red'><b>{0}</b></font> ", page);
						}
						// ٸ ũ
						else
						{

							tmp += String.Format(" <a href='{0}'>{1}</a> ", 
												LINK_STR.Replace("#PG#", (START_NUMBER+i).ToString()),
												((NOW_BLOCK-1)*blockcount + i ));
						}
					

					// ڰ  ٰ ü ٴٸ  for() 
					if (START_NUMBER + i == totalpage)
						break;

				}



			//          ǥ
			if (NOW_BLOCK == TOTAL_BLOCK)
				tmp += String.Format(" .. [ {0}] ", blockcount);
			else
				tmp += String.Format(" .. <a href='{0}'>[ {1}]</a> ", 
						LINK_STR.Replace("#PG#", ((NOW_BLOCK*blockcount)+1).ToString()  ), 
						blockcount);

			

			//   ̵ũ
			if (page != 1)
				tmp += String.Format(" .. <a href='{0}'>[{1}]</a>", 
											LINK_STR.Replace("#PG#", totalpage.ToString()),
											totalpage);

		

			//  ¡ 
			return tmp;

		}

	}
	
}

}